Subject: bug#8562: Emacs 23.1 and later don't work in windows 98

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jun 2011 01:48:27 -0400

> Date: Sun, 05 Jun 2011 06:07:52 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Sun, 5 Jun 2011 03:58:25 +0200
> > From: oslsachem <[email-masked]>
> > Cc: [email-masked]
> > 
> > I have only observed that:
> > - Emacs chooses the ansi versions of the functions LookupAccountSid
> > and GetFileSecurity.
> 
> That's OK, and has no relation to the problem at hand.  First, file
> security is not available on filesystems supported by Windows 9X.  And
> second, even if they were, Emacs currently uses only the ANSI versions
> of those functions anyway.

It's actually more than that: Emacs currently uses the ANSI versions
of _all_ functions, except those that are explicitly called with the
`W' suffix in the Emacs sources.  So only those calls to Unicode
functions you see in the sources are relevant to the issue at hand.